<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.util.SuppressForbidden (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.util.SuppressForbidden (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/SuppressForbidden.html"
               title="annotation in org.apache.poi.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/SuppressForbidden.html" target="_top">Frames</a>
        </li>
        <li><a href="SuppressForbidden.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.util.SuppressForbidden" class="title">Uses of Class<br>org.apache.poi.util.SuppressForbidden
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/util/SuppressForbidden.html"
                                                    title="annotation in org.apache.poi.util">SuppressForbidden</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="#org.apache.poi.hssf.record.crypto">org.apache.poi.hssf.record.crypto</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.draw">org.apache.poi.sl.draw</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.util">org.apache.poi.util</a></td>
                    <td class="colLast">
                        <div class="block">Top-level util package are classes that are useful throughout the project.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.record.crypto">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/SuppressForbidden.html"
                                   title="annotation in org.apache.poi.util">SuppressForbidden</a> in <a
                            href="../../../../../org/apache/poi/hssf/record/crypto/package-summary.html">org.apache.poi.hssf.record.crypto</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/record/crypto/package-summary.html">org.apache.poi.hssf.record.crypto</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/SuppressForbidden.html"
                                title="annotation in org.apache.poi.util">SuppressForbidden</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">Biff8DecryptingStream.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/record/crypto/Biff8DecryptingStream.html#available--">available</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/SuppressForbidden.html"
                                   title="annotation in org.apache.poi.util">SuppressForbidden</a> in <a
                            href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/SuppressForbidden.html"
                                title="annotation in org.apache.poi.util">SuppressForbidden</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.awt.FontMetrics</code></td>
                            <td class="colLast"><span class="typeNameLabel">EscherGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hssf/usermodel/EscherGraphics.html#getFontMetrics-java.awt.Font-">getFontMetrics</a></span>(java.awt.Font&nbsp;f)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.draw">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/SuppressForbidden.html"
                                   title="annotation in org.apache.poi.util">SuppressForbidden</a> in <a
                            href="../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/sl/draw/package-summary.html">org.apache.poi.sl.draw</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/SuppressForbidden.html"
                                title="annotation in org.apache.poi.util">SuppressForbidden</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.awt.FontMetrics</code></td>
                            <td class="colLast"><span class="typeNameLabel">SLGraphics.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/sl/draw/SLGraphics.html#getFontMetrics-java.awt.Font-">getFontMetrics</a></span>(java.awt.Font&nbsp;f)</code>
                                <div class="block">Gets the font metrics for the specified font.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.util">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/util/SuppressForbidden.html"
                                   title="annotation in org.apache.poi.util">SuppressForbidden</a> in <a
                            href="../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a></h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../org/apache/poi/util/package-summary.html">org.apache.poi.util</a> with annotations of type <a
                                href="../../../../../org/apache/poi/util/SuppressForbidden.html"
                                title="annotation in org.apache.poi.util">SuppressForbidden</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SystemOutLogger.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/SystemOutLogger.html#Z:Z_log-int-java.lang.Object-java.lang.Throwable-">_log</a></span>(int&nbsp;level,
                                java.lang.Object&nbsp;obj1,
                                java.lang.Throwable&nbsp;exception)</code>
                                <div class="block">Log a message</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">LittleEndianInputStream.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/LittleEndianInputStream.html#available--">available</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>int</code></td>
                            <td class="colLast"><span class="typeNameLabel">BoundedInputStream.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/BoundedInputStream.html#available--">available</a></span>()</code>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static java.util.Locale</code></td>
                            <td class="colLast"><span class="typeNameLabel">LocaleUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/LocaleUtil.html#getUserLocale--">getUserLocale</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.util.TimeZone</code></td>
                            <td class="colLast"><span class="typeNameLabel">LocaleUtil.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/LocaleUtil.html#getUserTimeZone--">getUserTimeZone</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static void</code></td>
                            <td class="colLast"><span class="typeNameLabel">FontMetricsDumper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/util/FontMetricsDumper.html#main-java.lang.String:A-">main</a></span>(java.lang.String[]&nbsp;args)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/util/SuppressForbidden.html"
               title="annotation in org.apache.poi.util">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/util/class-use/SuppressForbidden.html" target="_top">Frames</a>
        </li>
        <li><a href="SuppressForbidden.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
